Page MenuHomePhabricator

Use FormSpecialPage rather than just raw HTMLForm in a special page
Closed, ResolvedPublic

Description

Title says it all. Special pages that use HTMLForm already should just use FormSpecialPage to avoid duplicating code.

Details

Reference
bz55430
Related Gerrit Patches:
mediawiki/extensions/TranslationNotifications : masterMake SpecialTranslatorSignup use FormSpecialPage
mediawiki/extensions/TranslationNotifications : masterConvert SpecialNotifyTranslators to FormSpecialPage

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:13 AM
bzimport set Reference to bz55430.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle set Security to None.
Krinkle removed a subscriber: Unknown Object (MLST).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2015, 4:38 PM

Change 290052 had a related patch set uploaded (by Glaisher):
Convert SpecialNotifyTranslators to FormSpecialPage

https://gerrit.wikimedia.org/r/290052

Change 290052 merged by jenkins-bot:
Convert SpecialNotifyTranslators to FormSpecialPage

https://gerrit.wikimedia.org/r/290052

I guess Special:TranslatorSignup could use this also, hence this bug is still open.

Nikerabbit updated the task description. (Show Details)
Glaisher claimed this task.Jun 7 2016, 12:47 PM

Change 293131 had a related patch set uploaded (by Glaisher):
Make SpecialTranslatorSignup use FormSpecialPage

https://gerrit.wikimedia.org/r/293131

Change 293131 merged by jenkins-bot:
Make SpecialTranslatorSignup use FormSpecialPage

https://gerrit.wikimedia.org/r/293131

Glaisher closed this task as Resolved.Jun 9 2016, 7:58 AM